## org.eclipse.jet.taglib
Interface ContainerTag

All Superinterfaces:
  CustomTag, EmptyTag

All Known Subinterfaces:
  ConditionalTag, IteratingTag

All Known Implementing Classes:
  AbstractConditionalTag, AbstractContainerTag, AbstractIteratingTag

    public interface ContainerTag

extends CustomTag, EmptyTag

Interface to a container tag. A container has the following characteristics: <bl>

- The tag must be of the form <mycontainer>>...<</mycontiner>.
- The tag may perform an action before its content is processed (via `doBeforeBody(TagInfo, JET2Context, JET2Writer)`)
- If the tag is a content re-writing tag (as declared in the tag extension point), then `setBodyContent(JET2Writer)` is called after `doBeforeBody(TagInfo, JET2Context, JET2Writer)`.
- The tag may perform an action after its content is processed (via `doAfterBody(TagInfo, JET2Context, JET2Writer)`).
</bl> Tag processing proceeds as follows: <bl>
- Tag set*() functions are called, as described by `CustomTag`.
- The method `doBeforeBody(TagInfo, JET2Context, JET2Writer)` is called immediately before starting processing of the tag's content
- The tags content's are processed.
- If the tag is declared as a content rewriter in the tagLibaries extension point, then `setBodyContent(JET2Writer)` is called.
- The method `doAfterBody(TagInfo, JET2Context, JET2Writer)` is called. </bl>

  Method Summary
  `void` `doAfterBody(TagInfo td, JET2Context context, JET2Writer out)` Perform processing after the tag body is processed.
  `void` `doBeforeBody(TagInfo td, JET2Context context, JET2Writer out)` Perform processing before the tags body is processed.
  `void` `setBodyContent(JET2Writer bodyContent)` Passes the tag handler a writer containing the processed contents of the tag body.

  Methods inherited from interface org.eclipse.jet.taglib.EmptyTag
  `doAction`

  Method Detail

  ### doBeforeBody

      void doBeforeBody(TagInfo td,
                        JET2Context context,
                        JET2Writer out)
                        throws JET2TagException

    Perform processing before the tags body is processed.

    Parameters:
      `td` -
      `context` -
      `out` -
    Throws:
      `JET2TagException`

  ### doAfterBody

      void doAfterBody(TagInfo td,
                       JET2Context context,
                       JET2Writer out)
                       throws JET2TagException

    Perform processing after the tag body is processed.

    Parameters:
      `td` -
      `context` -
      `out` -
    Throws:
      `JET2TagException`

  ### setBodyContent

      void setBodyContent(JET2Writer bodyContent)

    Passes the tag handler a writer containing the processed contents of the tag body. Called if and only the tag is declared as a content re-writer.

    Parameters:
      `bodyContent` -

  Copyright 2006 IBM Corporation and others. All Rights Reserved.